from PySide6.QtWidgets import QMainWindow, QApplication, QTabWidget



class KeyboardWindow(QMainWindow):
    def __init__(self):
        super().__init__()

        # Set up main window properties
        self.setWindowTitle("OMEGA")
        self.setGeometry(0, 0, 800, 600)

        self.center_window()

        # Central widget and layout
        central_widget = QTabWidget()
        self.setCentralWidget(central_widget)



    def center_window(self):
        # Get the screen geometry
        screen = QApplication.primaryScreen()
        screen_geometry = screen.geometry()

        # Get the dimensions of the window
        window_geometry = self.frameGeometry()

        # Calculate the center point of the screen
        center_point = screen_geometry.center()

        # Move the window geometry to the center of the screen
        window_geometry.moveCenter(center_point)

        # Move the window to the calculated geometry
        self.move(window_geometry.topLeft())

    def refresh_book_cards(self):
        self.dashboard.redraw_cards()
        self.category_statistics_overview_list.redraw_cards()

    def refresh_member_cards(self):
        self.member_list.redraw_cards()