import sys
import logging

from app.core.config import settings

def setup_logger():
    logger = logging.getLogger()
    
    verbosity = settings.VERBOSITY
    level_map = {
        "DEBUG": logging.DEBUG,
        "INFO": logging.INFO,
        "WARNING": logging.WARNING,
        "ERROR": logging.ERROR,
        "CRITICAL": logging.CRITICAL,
    }
    log_level = level_map.get(verbosity)

    logger.setLevel(log_level)

    handler = logging.StreamHandler(sys.stdout)
    handler.setLevel(log_level)

    formatter = logging.Formatter("[%(levelname)s] - %(name)s:%(lineno)d - %(message)s")
    handler.setFormatter(formatter)

    logger.addHandler(handler)